Recupero di un messaggio del dispositivo
GET
/api/v1/message_equipment_types/:id Restituisce un singolo messaggio del dispositivo in base al suo identificatore. La risposta contiene gli stessi campi di un elemento dell’elenco, racchiusi in un unico oggetto data.
Parametri di percorso
id integer obbligatorio Identificatore (chiave univoca) del messaggio nel sistema.
Campi della risposta
| Attributo | Descrizione |
|---|---|
id | Identificatore (chiave univoca) del messaggio nel sistema |
name | Nome del messaggio |
description | Descrizione del messaggio |
device_code | Codice del messaggio del dispositivo |
equipment_type_id | Identificatore del tipo di configurazione del dispositivo di misura (chiave del tipo di configurazione del correttore) |
equipment_type_varname | Identificatore univoco in formato stringa del tipo di configurazione del dispositivo di misura |
referenceparameter_archive_type_id | Identificatore del tipo di archivio |
archive_type_varname | Identificatore univoco in formato stringa del tipo di archivio |
message_typical_id | Identificatore del messaggio tipico |
channel_id | Identificatore del canale (chiave univoca), null se non associato ad alcun canale |
channel_varname | Identificatore del canale in formato stringa, null se non associato ad alcun canale |
data | Oggetto del messaggio restituito |
Richiesta
bash
curl -i \
--header "access-token: *********************" \
--header "token-type: Bearer" \
--header "client: **********************" \
--header "uid: api-user@example.com" \
--header "Content-Type: application/json" \
--request GET \
"https://api.vadsro.eu/api/v1/message_equipment_types/1"js
const res = await fetch('https://api.vadsro.eu/api/v1/message_equipment_types/1', {
headers: {
'access-token': '*********************',
'token-type': 'Bearer',
client: '**********************',
uid: 'api-user@example.com',
'Content-Type': 'application/json',
},
});
const data = await res.json();python
import requests
res = requests.get(
"https://api.vadsro.eu/api/v1/message_equipment_types/1",
headers={
"access-token": "*********************",
"token-type": "Bearer",
"client": "**********************",
"uid": "api-user@example.com",
"Content-Type": "application/json",
},
)
data = res.json()go
req, _ := http.NewRequest("GET", "https://api.vadsro.eu/api/v1/message_equipment_types/1", nil)
req.Header.Set("access-token", "*********************")
req.Header.Set("token-type", "Bearer")
req.Header.Set("client", "**********************")
req.Header.Set("uid", "api-user@example.com")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)php
$ch = curl_init("https://api.vadsro.eu/api/v1/message_equipment_types/1");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"access-token: *********************",
"token-type: Bearer",
"client: **********************",
"uid: api-user@example.com",
"Content-Type: application/json",
]);
$data = json_decode(curl_exec($ch), true);Risposta
json
{
"data": {
"id": 1,
"name": "Accumulated volume",
"description": "Scheduled communication",
"device_code": "0",
"equipment_type_id": 11,
"equipment_type_varname": "EK-270",
"referenceparameter_archive_type_id": 25,
"archive_type_varname": "nesht",
"message_typical_id": 2,
"channel_id": null,
"channel_varname": null
}
} Ultimo aggiornamento il
Questa pagina è stata utile?
Grazie per il tuo feedback!
Elenco dei messaggi dei dispositivi
Precedente
Sessioni di comunicazione
Successivo